include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/libjbig
  ${CMAKE_SOURCE_DIR}/kernel/include
  ${CMAKE_BINARY_DIR}
)


add_subdirectory( libjbig )


##### codecs

tde_add_library( kls_jbig SHARED AUTOMOC
  SOURCES fmt_codec_jbig.cpp jbig2mem.cpp
  LINK ksquirrel-libs-shared jbig-static
  VERSION 0.8.0
  DESTINATION ${LIB_INSTALL_DIR}/ksquirrel-libs
)
